Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 949954 (anka-coder-fonts)

Summary: Review Request: anka-coder-fonts - A mono spaced, courier-width font
Product: [Fedora] Fedora Reporter: Ankur Sinha (FranciscoD) <sanjay.ankur>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fonts-bugs, package-review, panemade, sanjay.ankur
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 1.100-0.3.20130409hg4348cf4ec395.fc23 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-09-15 19:51:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Ankur Sinha (FranciscoD) 2013-04-09 11:05:21 UTC
Spec URL: http://ankursinha.fedorapeople.org/anka-coder-fonts/anka-coder-fonts.spec
SRPM URL: http://ankursinha.fedorapeople.org/anka-coder-fonts/anka-coder-fonts-1.100-1.fc20.src.rpm

Description: 
The Anka/Coder family is a mono spaced, courier-width (60% of height; em size \
2048x1229) font that contains characters from 437, 866, 1251, 1252 and some \
other code pages and can be used for source code, terminal windows etc. \
There are 3 font sets (regular. italic, bold, bold-italic each): 1. \
Anka/Coder (em size 2048x1229) 2. Anka/Coder Condensed (condensed by \
12.5%; em size 2048x1075) 3. Anka/Coder Narrow (condensed by 25%; em \
size 2048x922)


Fedora Account System Username: ankursinha

rpmlint output:

[ankur@localhost  SRPMS]$ rpmlint ../SPECS/anka-coder-fonts.spec anka-coder-fonts-1.100-1.fc18.src.rpm /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
../SPECS/anka-coder-fonts.spec: W: invalid-url Source0: anka-coder-fonts-20130409-hg.tar.gz
anka-coder-fonts.src: W: invalid-url Source0: anka-coder-fonts-20130409-hg.tar.gz
anka-coder-fonts.src: W: invalid-url Source0: anka-coder-fonts-20130409-hg.tar.gz
6 packages and 1 specfiles checked; 0 errors, 3 warnings.
[ankur@localhost  SRPMS]$


The fontconfig files may be improved on. I've only written simple files using templates.

Comment 1 Parag AN(पराग) 2015-07-18 09:38:54 UTC
Hi Ankur,
  Are you still interested in this package submission? Please update package as per current packaging guidelines and add metainfo files per font subpackage.

Please ask if need some help. I will then review the new srpm.

Comment 2 Ankur Sinha (FranciscoD) 2015-07-29 08:14:54 UTC
Hi Parag,

I've updated the package with metainfo files. I'm not entirely sure if they are correct, though, so they may need some changes.

Spec/srpm:
https://ankursinha.fedorapeople.org/anka-coder-fonts/anka-coder-fonts.spec
https://ankursinha.fedorapeople.org/anka-coder-fonts/anka-coder-fonts-1.100-2.fc22.src.rpm

Thanks,
Ankur

Comment 3 Parag AN(पराग) 2015-08-18 08:25:11 UTC
I am sorry but I am a bit busy last few weeks. Here is a review of this package.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

appstream files in relaxed rules looks good
$ appstream-util validate-relax *.xml
anka-coder-condensed.metainfo.xml: OK
anka-coder.metainfo.xml: OK
anka-coder-narrow.metainfo.xml: OK
anka-coder-norm.metainfo.xml: OK

Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 1474560 bytes in 13 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

==> Not an issue.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.

==> Mark license text file with %license macro not %doc

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/fonts,
     /etc/fonts/conf.d, /usr/share/fontconfig/conf.avail,
     /usr/share/fontconfig, /etc/fonts
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/appdata(filesystem)

==> Please remove /usr/share/appdata ownership from -common subpackage

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required

==> This is not needed now, its optional and can be removed.

[X]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed

==> This is not needed now, its optional and can be removed.

[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: anka-coder-fonts-common (description), anka-coder-
     norm-fonts (description), anka-coder-condensed-fonts (description),
     anka-coder-narrow-fonts (description)
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[!]: Package is named according to the Package Naming Guidelines.

 I think we should use here snapshot based https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages naming.

So only release tag gets changed to
%global hgrev 4348cf4ec395
Release:  0.3.20130409hg%{hgrev}%{?dist}

[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines

==> Fix issues as suggested in other parts of this review

[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: %config files are marked noreplace or the reason is justified.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

fonts:
[x]: Run repo-font-audit on all fonts in package.
[x]: Run ttname on all fonts in package.
     Note: ttname analyze results in fonts/ttname.log.


Rpmlint
-------
Checking: anka-coder-fonts-common-1.100-2.fc24.noarch.rpm
          anka-coder-norm-fonts-1.100-2.fc24.noarch.rpm
          anka-coder-condensed-fonts-1.100-2.fc24.noarch.rpm
          anka-coder-narrow-fonts-1.100-2.fc24.noarch.rpm
          anka-coder-fonts-1.100-2.fc24.src.rpm
anka-coder-fonts.src: W: invalid-url Source0: anka-coder-fonts-20130409-hg.tar.gz
5 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
4 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
anka-coder-narrow-fonts (rpmlib, GLIBC filtered):
    /bin/sh
    anka-coder-fonts-common
    config(anka-coder-narrow-fonts)

anka-coder-condensed-fonts (rpmlib, GLIBC filtered):
    /bin/sh
    anka-coder-fonts-common
    config(anka-coder-condensed-fonts)

anka-coder-norm-fonts (rpmlib, GLIBC filtered):
    /bin/sh
    anka-coder-fonts-common
    config(anka-coder-norm-fonts)

anka-coder-fonts-common (rpmlib, GLIBC filtered):
    fontpackages-filesystem



Provides
--------
anka-coder-narrow-fonts:
    anka-coder-narrow-fonts
    config(anka-coder-narrow-fonts)
    font(:lang=aa)
    font(:lang=af)
    font(:lang=an)
    font(:lang=av)
    font(:lang=ay)
    font(:lang=be)
    font(:lang=bg)
    font(:lang=bi)
    font(:lang=br)
    font(:lang=bs)
    font(:lang=ca)
    font(:lang=ce)
    font(:lang=ch)
    font(:lang=co)
    font(:lang=crh)
    font(:lang=cs)
    font(:lang=csb)
    font(:lang=da)
    font(:lang=de)
    font(:lang=en)
    font(:lang=eo)
    font(:lang=es)
    font(:lang=et)
    font(:lang=eu)
    font(:lang=fi)
    font(:lang=fil)
    font(:lang=fj)
    font(:lang=fo)
    font(:lang=fr)
    font(:lang=fur)
    font(:lang=fy)
    font(:lang=gd)
    font(:lang=gl)
    font(:lang=gv)
    font(:lang=ho)
    font(:lang=hr)
    font(:lang=hsb)
    font(:lang=ht)
    font(:lang=hu)
    font(:lang=ia)
    font(:lang=id)
    font(:lang=ie)
    font(:lang=ik)
    font(:lang=io)
    font(:lang=is)
    font(:lang=it)
    font(:lang=jv)
    font(:lang=ki)
    font(:lang=kj)
    font(:lang=kl)
    font(:lang=ku-tr)
    font(:lang=kum)
    font(:lang=kwm)
    font(:lang=la)
    font(:lang=lb)
    font(:lang=lez)
    font(:lang=lg)
    font(:lang=li)
    font(:lang=lt)
    font(:lang=lv)
    font(:lang=mg)
    font(:lang=mh)
    font(:lang=mk)
    font(:lang=ms)
    font(:lang=mt)
    font(:lang=na)
    font(:lang=nb)
    font(:lang=nds)
    font(:lang=ng)
    font(:lang=nl)
    font(:lang=nn)
    font(:lang=no)
    font(:lang=nr)
    font(:lang=nso)
    font(:lang=ny)
    font(:lang=oc)
    font(:lang=om)
    font(:lang=os)
    font(:lang=pap-an)
    font(:lang=pap-aw)
    font(:lang=pl)
    font(:lang=pt)
    font(:lang=rm)
    font(:lang=rn)
    font(:lang=ru)
    font(:lang=rw)
    font(:lang=sc)
    font(:lang=se)
    font(:lang=sel)
    font(:lang=sg)
    font(:lang=sk)
    font(:lang=sl)
    font(:lang=sma)
    font(:lang=smj)
    font(:lang=smn)
    font(:lang=sn)
    font(:lang=so)
    font(:lang=sq)
    font(:lang=sr)
    font(:lang=ss)
    font(:lang=st)
    font(:lang=su)
    font(:lang=sv)
    font(:lang=sw)
    font(:lang=tk)
    font(:lang=tl)
    font(:lang=tn)
    font(:lang=tr)
    font(:lang=ts)
    font(:lang=uz)
    font(:lang=vo)
    font(:lang=vot)
    font(:lang=wa)
    font(:lang=wen)
    font(:lang=wo)
    font(:lang=xh)
    font(:lang=yap)
    font(:lang=za)
    font(:lang=zu)
    font(anka/codernarrow)

anka-coder-condensed-fonts:
    anka-coder-condensed-fonts
    config(anka-coder-condensed-fonts)
    font(:lang=aa)
    font(:lang=af)
    font(:lang=an)
    font(:lang=av)
    font(:lang=ay)
    font(:lang=be)
    font(:lang=bg)
    font(:lang=bi)
    font(:lang=br)
    font(:lang=bs)
    font(:lang=ca)
    font(:lang=ce)
    font(:lang=ch)
    font(:lang=co)
    font(:lang=crh)
    font(:lang=cs)
    font(:lang=csb)
    font(:lang=da)
    font(:lang=de)
    font(:lang=en)
    font(:lang=eo)
    font(:lang=es)
    font(:lang=et)
    font(:lang=eu)
    font(:lang=fi)
    font(:lang=fil)
    font(:lang=fj)
    font(:lang=fo)
    font(:lang=fr)
    font(:lang=fur)
    font(:lang=fy)
    font(:lang=gd)
    font(:lang=gl)
    font(:lang=gv)
    font(:lang=ho)
    font(:lang=hr)
    font(:lang=hsb)
    font(:lang=ht)
    font(:lang=hu)
    font(:lang=ia)
    font(:lang=id)
    font(:lang=ie)
    font(:lang=ik)
    font(:lang=io)
    font(:lang=is)
    font(:lang=it)
    font(:lang=jv)
    font(:lang=ki)
    font(:lang=kj)
    font(:lang=kl)
    font(:lang=ku-tr)
    font(:lang=kum)
    font(:lang=kwm)
    font(:lang=la)
    font(:lang=lb)
    font(:lang=lez)
    font(:lang=lg)
    font(:lang=li)
    font(:lang=lt)
    font(:lang=lv)
    font(:lang=mg)
    font(:lang=mh)
    font(:lang=mk)
    font(:lang=ms)
    font(:lang=mt)
    font(:lang=na)
    font(:lang=nb)
    font(:lang=nds)
    font(:lang=ng)
    font(:lang=nl)
    font(:lang=nn)
    font(:lang=no)
    font(:lang=nr)
    font(:lang=nso)
    font(:lang=ny)
    font(:lang=oc)
    font(:lang=om)
    font(:lang=os)
    font(:lang=pap-an)
    font(:lang=pap-aw)
    font(:lang=pl)
    font(:lang=pt)
    font(:lang=rm)
    font(:lang=rn)
    font(:lang=ru)
    font(:lang=rw)
    font(:lang=sc)
    font(:lang=se)
    font(:lang=sel)
    font(:lang=sg)
    font(:lang=sk)
    font(:lang=sl)
    font(:lang=sma)
    font(:lang=smj)
    font(:lang=smn)
    font(:lang=sn)
    font(:lang=so)
    font(:lang=sq)
    font(:lang=sr)
    font(:lang=ss)
    font(:lang=st)
    font(:lang=su)
    font(:lang=sv)
    font(:lang=sw)
    font(:lang=tk)
    font(:lang=tl)
    font(:lang=tn)
    font(:lang=tr)
    font(:lang=ts)
    font(:lang=uz)
    font(:lang=vo)
    font(:lang=vot)
    font(:lang=wa)
    font(:lang=wen)
    font(:lang=wo)
    font(:lang=xh)
    font(:lang=yap)
    font(:lang=za)
    font(:lang=zu)
    font(anka/codercondensed)

anka-coder-norm-fonts:
    anka-coder-norm-fonts
    config(anka-coder-norm-fonts)
    font(:lang=aa)
    font(:lang=af)
    font(:lang=an)
    font(:lang=av)
    font(:lang=ay)
    font(:lang=be)
    font(:lang=bg)
    font(:lang=bi)
    font(:lang=br)
    font(:lang=bs)
    font(:lang=ca)
    font(:lang=ce)
    font(:lang=ch)
    font(:lang=co)
    font(:lang=crh)
    font(:lang=cs)
    font(:lang=csb)
    font(:lang=da)
    font(:lang=de)
    font(:lang=en)
    font(:lang=eo)
    font(:lang=es)
    font(:lang=et)
    font(:lang=eu)
    font(:lang=fi)
    font(:lang=fil)
    font(:lang=fj)
    font(:lang=fo)
    font(:lang=fr)
    font(:lang=fur)
    font(:lang=fy)
    font(:lang=gd)
    font(:lang=gl)
    font(:lang=gv)
    font(:lang=ho)
    font(:lang=hr)
    font(:lang=hsb)
    font(:lang=ht)
    font(:lang=hu)
    font(:lang=ia)
    font(:lang=id)
    font(:lang=ie)
    font(:lang=ik)
    font(:lang=io)
    font(:lang=is)
    font(:lang=it)
    font(:lang=jv)
    font(:lang=ki)
    font(:lang=kj)
    font(:lang=kl)
    font(:lang=ku-tr)
    font(:lang=kum)
    font(:lang=kwm)
    font(:lang=la)
    font(:lang=lb)
    font(:lang=lez)
    font(:lang=lg)
    font(:lang=li)
    font(:lang=lt)
    font(:lang=lv)
    font(:lang=mg)
    font(:lang=mh)
    font(:lang=mk)
    font(:lang=ms)
    font(:lang=mt)
    font(:lang=na)
    font(:lang=nb)
    font(:lang=nds)
    font(:lang=ng)
    font(:lang=nl)
    font(:lang=nn)
    font(:lang=no)
    font(:lang=nr)
    font(:lang=nso)
    font(:lang=ny)
    font(:lang=oc)
    font(:lang=om)
    font(:lang=os)
    font(:lang=pap-an)
    font(:lang=pap-aw)
    font(:lang=pl)
    font(:lang=pt)
    font(:lang=rm)
    font(:lang=rn)
    font(:lang=ru)
    font(:lang=rw)
    font(:lang=sc)
    font(:lang=se)
    font(:lang=sel)
    font(:lang=sg)
    font(:lang=sk)
    font(:lang=sl)
    font(:lang=sma)
    font(:lang=smj)
    font(:lang=smn)
    font(:lang=sn)
    font(:lang=so)
    font(:lang=sq)
    font(:lang=sr)
    font(:lang=ss)
    font(:lang=st)
    font(:lang=su)
    font(:lang=sv)
    font(:lang=sw)
    font(:lang=tk)
    font(:lang=tl)
    font(:lang=tn)
    font(:lang=tr)
    font(:lang=ts)
    font(:lang=uz)
    font(:lang=vo)
    font(:lang=vot)
    font(:lang=wa)
    font(:lang=wen)
    font(:lang=wo)
    font(:lang=xh)
    font(:lang=yap)
    font(:lang=za)
    font(:lang=zu)
    font(anka/coder)

anka-coder-fonts-common:
    anka-coder-fonts-common



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20

Comment 4 Ankur Sinha (FranciscoD) 2015-08-24 11:01:43 UTC
Hi Parag,

Thanks for the review. Updated spec/srpm:

https://ankursinha.fedorapeople.org/anka-coder-fonts/anka-coder-fonts.spec

https://ankursinha.fedorapeople.org/anka-coder-fonts/anka-coder-fonts-1.100-0.3.20130409hg4348cf4ec395.fc22.src.rpm

Here's the changelog:

* Mon Aug 24 2015 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.100-0.3.20130409hg
- Update as per reviewer comments: rbhz 949954
- Mark license with new license macro
- do not own appdata dir
- removed defattr - not needed
- remove rm -rf at beginning of install section
- use prerelease release tag

Thanks,
regards,
Ankur

Comment 5 Parag AN(पराग) 2015-08-26 03:35:52 UTC
Looks good now :)

APPROVED.

Comment 6 Ankur Sinha (FranciscoD) 2015-08-26 09:24:36 UTC
Awesome! Thanks for the review Parag!

New Package SCM Request
=======================
Package Name: anka-coder-fonts
Short Description: A mono spaced, courier-width font
Upstream URL: http://code.google.com/p/anka-coder-fonts/
Owners: ankursinha
Branches: f21 f22 f23
InitialCC: fonts-sig

Comment 7 Gwyn Ciesla 2015-08-26 13:23:43 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2015-08-26 16:25:32 UTC
anka-coder-fonts-1.100-0.3.20130409hg4348cf4ec395.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14352

Comment 9 Fedora Update System 2015-08-26 16:25:44 UTC
anka-coder-fonts-1.100-0.3.20130409hg4348cf4ec395.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14353

Comment 10 Fedora Update System 2015-08-26 16:25:54 UTC
anka-coder-fonts-1.100-0.3.20130409hg4348cf4ec395.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14354

Comment 11 Fedora Update System 2015-08-28 18:53:24 UTC
anka-coder-fonts-1.100-0.3.20130409hg4348cf4ec395.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update anka-coder-fonts'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14352

Comment 12 Fedora Update System 2015-08-28 18:58:03 UTC
anka-coder-fonts-1.100-0.3.20130409hg4348cf4ec395.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update anka-coder-fonts'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14354

Comment 13 Fedora Update System 2015-08-31 18:53:25 UTC
anka-coder-fonts-1.100-0.3.20130409hg4348cf4ec395.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update anka-coder-fonts'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14353

Comment 14 Fedora Update System 2015-09-15 19:51:12 UTC
anka-coder-fonts-1.100-0.3.20130409hg4348cf4ec395.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-09-15 21:20:49 UTC
anka-coder-fonts-1.100-0.3.20130409hg4348cf4ec395.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-09-18 19:01:07 UTC
anka-coder-fonts-1.100-0.3.20130409hg4348cf4ec395.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.